import { Rule } from "./Rule";
import { ValidationContext } from "../validation/ValidationContext";
import { SendVoteorder } from "../protocol/SendVoteorder";
export declare class VotingPowerRule extends Rule {
    rule: string;
    value: number;
    mode: VotingPowerRule.Mode;
    constructor(mode: VotingPowerRule.Mode, value: number);
    type(): Rule.Type;
    validate(voteorder: SendVoteorder, context: ValidationContext): Promise<void>;
    validateRuleObject(unprototypedObj: any): void;
    getDescription(): string;
    private votingpowerToPercent;
}
export declare namespace VotingPowerRule {
    enum Mode {
        MORE_THAN = "more_than",
        LESS_THAN = "less_than",
        EQUAL = "equal"
    }
}
